Bug 1176350 - (CVE-2020-25601) VUL-0: CVE-2020-25601: xen: lack of preemption in evtchn_reset() / evtchn_destroy() (XSA-344 v4)
(CVE-2020-25601)
VUL-0: CVE-2020-25601: xen: lack of preemption in evtchn_reset() / evtchn_des...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Normal
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/266948/
CVSSv3.1:SUSE:CVE-2020-25601:6.5:(AV:...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2020-09-09 15:19 UTC by Marcus Meissner
Modified: 2022-09-16 12:23 UTC (History)
4 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
xsa344.tar.bz2 (6.15 KB, application/x-bzip)
2020-09-09 15:19 UTC, Marcus Meissner
Details

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Marcus Meissner 2020-09-09 15:19:53 UTC
Created attachment 841532 [details]
xsa344.tar.bz2

patch tarball
Comment 6 Wolfgang Frisch 2020-09-22 13:52:34 UTC
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

            Xen Security Advisory CVE-2020-25601 / XSA-344
                               version 4

        lack of preemption in evtchn_reset() / evtchn_destroy()

UPDATES IN VERSION 4
====================

Public release.

ISSUE DESCRIPTION
=================

In particular the FIFO event channel model allows guests to have a large
number of event channels active at a time.  Closing all of these when
resetting all event channels or when cleaning up after the guest may
take extended periods of time.  So far there was no arrangement for
preemption at suitable intervals, allowing a CPU to spend an almost
unbounded amount of time in the processing of these operations.

IMPACT
======

Malicious or buggy guest kernels can mount a Denial of Service (DoS)
attack affecting the entire system.

VULNERABLE SYSTEMS
==================

All Xen versions are vulnerable in principle.  Whether versions 4.3
and older are vulnerable depends on underlying hardware characteristics.

MITIGATION
==========

The problem can be avoided by reducing the number of event channels
available to all guests to a suitably low limit.  For example, setting
"max_event_channels=256" in the xl domain configurations may be low
enough for all hardware Xen is able to run on.

CREDITS
=======

This issue was discovered by Jan Beulich of SUSE.

RESOLUTION
==========

Applying the appropriate set of attached patches resolves this issue.

Note that patches for released versions are generally prepared to
apply to the stable branches, and may not apply cleanly to the most
recent release tarball.  Downstreams are encouraged to update to the
tip of the stable branch before applying these patches.

xsa344/xsa344-?.patch           Xen 4.14 - xen-unstable
xsa344/xsa344-4.13-?.patch      Xen 4.13
xsa344/xsa344-4.12-?.patch      Xen 4.12
xsa344/xsa344-4.11-?.patch      Xen 4.11
xsa344/xsa344-4.10-?.patch      Xen 4.10

$ sha256sum xsa344* xsa344*/*
74ae97a618a3680920bed131e69656d5a7c039efbbec99b55b99af772e3e87df  xsa344.meta
5f9dbdc48bed502d614a76e5819afa41a72cec603c5a2c9491d73873a991a5ed  xsa344/xsa344-1.patch
381ca5c51bc120bfd5c742be3988f570abb870c4b75c8a48cf49ae4fa1046d73  xsa344/xsa344-2.patch
b52e4ecd6db8c3c6ebc0ab6facbd0f4fa0859657d13491819c3279fe439f66ec  xsa344/xsa344-4.10-1.patch
53ca9c954fd73344968f40689b0d0ea583bd19ece72166fd2d4eaa125b82f26f  xsa344/xsa344-4.10-2.patch
7abea30b406b0a572f7cd76bd9768d12262344a8e255ddd29d2ad893724638a0  xsa344/xsa344-4.11-1.patch
f2b39146ac410154043efd09880277e4e821a1dd47a0bd3000545e5568253b97  xsa344/xsa344-4.11-2.patch
a654c99f5d1c25d9d12ba267d2db10b0a1e0da337ce334fb5aafa6b2061ebc3c  xsa344/xsa344-4.12-1.patch
6af4e05f8536b11a3dc4c70620b8ed973ecf09efd4c64eb500f6363d5f0402e7  xsa344/xsa344-4.12-2.patch
9b81c7cf3cd33f9d43c43222a0434a8d4e0acff74f339a6842f16bfa2f304cb5  xsa344/xsa344-4.13-1.patch
80a41b7e08cdb54a28dfc82630a0d8d89fc25e381bc4505ed41017a760addf09  xsa344/xsa344-4.13-2.patch
$

DEPLOYMENT DURING EMBARGO
=========================

Deployment of the patches and/or mitigations described above (or
others which are substantially similar) is permitted during the
embargo, even on public-facing systems with untrusted guest users and
administrators.

But: Distribution of updated software is prohibited (except to other
members of the predisclosure list).

Predisclosure list members who wish to deploy significantly different
patches and/or mitigations, please contact the Xen Project Security
Team.

(Note: this during-embargo deployment notice is retained in
post-embargo publicly released Xen Project advisories, even though it
is then no longer applicable.  This is to enable the community to have
oversight of the Xen Project Security Team's decisionmaking.)

For more information about permissible uses of embargoed information,
consult the Xen Project community's agreed Security Policy:
  http://www.xenproject.org/security-policy.html
-----BEGIN PGP SIGNATURE-----

iQFABAEBCAAqFiEEI+MiLBRfRHX6gGCng/4UyVfoK9kFAl9p/egMHHBncEB4ZW4u
b3JnAAoJEIP+FMlX6CvZ114H/2QrxpADKwxDb2+aL8fhf46AJYwgxDa8SoI18INd
IVeHs8Lq4CQsfSFxBbXOWDGo82bUg43kwcdZ3ToSaX2JSC4R3r0us6tSdaRIqpNj
sQo56ozFXH63v4zTlB8gF58skm2n+CZQ5nKccnTUsN7KuqfPWm/2LfBnqnHYkYQ9
CVHBG5YXMnrHbASo+HglGqjgu6GyEsLoJpSQEj6oYF/UW86OYeAwZ2TFAFVZ/T04
XtxnH7aYCSMOeQRPU6BnCdoVKg/wn4ilSKyqYAin8uNFf7af3OSSCR4FTYkLX+VG
WYJnc27SUAb28+l9f65r8cwzs2+O5SlqhpqyS6xcM3A1248=
=UYAk
-----END PGP SIGNATURE-----
Comment 7 Swamp Workflow Management 2020-09-29 16:16:06 UTC
SUSE-SU-2020:2789-1: An update that fixes 8 vulnerabilities is now available.

Category: security (important)
Bug References: 1176343,1176344,1176345,1176346,1176347,1176348,1176349,1176350
CVE References: CVE-2020-25595,CVE-2020-25596,CVE-2020-25597,CVE-2020-25599,CVE-2020-25600,CVE-2020-25601,CVE-2020-25603,CVE-2020-25604
JIRA References: 
Sources used:
SUSE Linux Enterprise Server for SAP 15 (src):    xen-4.10.4_16-3.41.1
SUSE Linux Enterprise High Performance Computing 15-LTSS (src):    xen-4.10.4_16-3.41.1
SUSE Linux Enterprise High Performance Computing 15-ESPOS (src):    xen-4.10.4_16-3.41.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 8 Swamp Workflow Management 2020-09-29 16:18:51 UTC
SUSE-SU-2020:2786-1: An update that solves 10 vulnerabilities and has one errata is now available.

Category: security (important)
Bug References: 1027519,1175534,1176339,1176343,1176344,1176345,1176346,1176347,1176348,1176349,1176350
CVE References: CVE-2020-14364,CVE-2020-25595,CVE-2020-25596,CVE-2020-25597,CVE-2020-25599,CVE-2020-25600,CVE-2020-25601,CVE-2020-25602,CVE-2020-25603,CVE-2020-25604
JIRA References: 
Sources used:
SUSE OpenStack Cloud Crowbar 9 (src):    xen-4.11.4_08-2.36.1
SUSE OpenStack Cloud 9 (src):    xen-4.11.4_08-2.36.1
SUSE Linux Enterprise Server for SAP 12-SP4 (src):    xen-4.11.4_08-2.36.1
SUSE Linux Enterprise Server 12-SP4-LTSS (src):    xen-4.11.4_08-2.36.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 9 Swamp Workflow Management 2020-09-29 16:22:31 UTC
SUSE-SU-2020:2791-1: An update that solves 10 vulnerabilities and has one errata is now available.

Category: security (important)
Bug References: 1027519,1176339,1176341,1176343,1176344,1176345,1176346,1176347,1176348,1176349,1176350
CVE References: CVE-2020-25595,CVE-2020-25596,CVE-2020-25597,CVE-2020-25598,CVE-2020-25599,CVE-2020-25600,CVE-2020-25601,CVE-2020-25602,CVE-2020-25603,CVE-2020-25604
JIRA References: 
Sources used:
SUSE Linux Enterprise Module for Server Applications 15-SP2 (src):    xen-4.13.1_08-3.10.1
SUSE Linux Enterprise Module for Basesystem 15-SP2 (src):    xen-4.13.1_08-3.10.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 10 Swamp Workflow Management 2020-09-29 16:25:49 UTC
SUSE-SU-2020:2787-1: An update that fixes 9 vulnerabilities is now available.

Category: security (important)
Bug References: 1175534,1176343,1176344,1176345,1176346,1176347,1176348,1176349,1176350
CVE References: CVE-2020-14364,CVE-2020-25595,CVE-2020-25596,CVE-2020-25597,CVE-2020-25599,CVE-2020-25600,CVE-2020-25601,CVE-2020-25603,CVE-2020-25604
JIRA References: 
Sources used:
SUSE OpenStack Cloud Crowbar 8 (src):    xen-4.9.4_12-3.74.1
SUSE OpenStack Cloud 8 (src):    xen-4.9.4_12-3.74.1
SUSE Linux Enterprise Server for SAP 12-SP3 (src):    xen-4.9.4_12-3.74.1
SUSE Linux Enterprise Server 12-SP3-LTSS (src):    xen-4.9.4_12-3.74.1
SUSE Linux Enterprise Server 12-SP3-BCL (src):    xen-4.9.4_12-3.74.1
SUSE Enterprise Storage 5 (src):    xen-4.9.4_12-3.74.1
HPE Helion Openstack 8 (src):    xen-4.9.4_12-3.74.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 11 Swamp Workflow Management 2020-09-29 16:28:37 UTC
SUSE-SU-2020:2790-1: An update that solves 10 vulnerabilities and has one errata is now available.

Category: security (important)
Bug References: 1027519,1176339,1176341,1176343,1176344,1176345,1176346,1176347,1176348,1176349,1176350
CVE References: CVE-2020-25595,CVE-2020-25596,CVE-2020-25597,CVE-2020-25598,CVE-2020-25599,CVE-2020-25600,CVE-2020-25601,CVE-2020-25602,CVE-2020-25603,CVE-2020-25604
JIRA References: 
Sources used:
SUSE Linux Enterprise Module for Server Applications 15-SP1 (src):    xen-4.12.3_08-3.28.1
SUSE Linux Enterprise Module for Basesystem 15-SP1 (src):    xen-4.12.3_08-3.28.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 12 Swamp Workflow Management 2020-09-29 16:32:23 UTC
SUSE-SU-2020:2788-1: An update that solves 11 vulnerabilities and has one errata is now available.

Category: security (important)
Bug References: 1027519,1175534,1176339,1176341,1176343,1176344,1176345,1176346,1176347,1176348,1176349,1176350
CVE References: CVE-2020-14364,CVE-2020-25595,CVE-2020-25596,CVE-2020-25597,CVE-2020-25598,CVE-2020-25599,CVE-2020-25600,CVE-2020-25601,CVE-2020-25602,CVE-2020-25603,CVE-2020-25604
JIRA References: 
Sources used:
SUSE Linux Enterprise Software Development Kit 12-SP5 (src):    xen-4.12.3_08-3.24.1
SUSE Linux Enterprise Server 12-SP5 (src):    xen-4.12.3_08-3.24.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 13 Swamp Workflow Management 2020-10-01 16:16:12 UTC
SUSE-SU-2020:2822-1: An update that fixes 12 vulnerabilities is now available.

Category: security (important)
Bug References: 1172205,1173378,1173380,1175534,1176343,1176344,1176345,1176346,1176347,1176348,1176349,1176350
CVE References: CVE-2020-0543,CVE-2020-14364,CVE-2020-15565,CVE-2020-15567,CVE-2020-25595,CVE-2020-25596,CVE-2020-25597,CVE-2020-25599,CVE-2020-25600,CVE-2020-25601,CVE-2020-25603,CVE-2020-25604
JIRA References: 
Sources used:
SUSE OpenStack Cloud 7 (src):    xen-4.7.6_10-43.67.1
SUSE Linux Enterprise Server for SAP 12-SP2 (src):    xen-4.7.6_10-43.67.1
SUSE Linux Enterprise Server 12-SP2-LTSS (src):    xen-4.7.6_10-43.67.1
SUSE Linux Enterprise Server 12-SP2-BCL (src):    xen-4.7.6_10-43.67.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 15 Swamp Workflow Management 2020-10-04 10:18:10 UTC
openSUSE-SU-2020:1608-1: An update that solves 10 vulnerabilities and has one errata is now available.

Category: security (important)
Bug References: 1027519,1176339,1176341,1176343,1176344,1176345,1176346,1176347,1176348,1176349,1176350
CVE References: CVE-2020-25595,CVE-2020-25596,CVE-2020-25597,CVE-2020-25598,CVE-2020-25599,CVE-2020-25600,CVE-2020-25601,CVE-2020-25602,CVE-2020-25603,CVE-2020-25604
JIRA References: 
Sources used:
openSUSE Leap 15.2 (src):    xen-4.13.1_08-lp152.2.9.1
Comment 16 Swamp Workflow Management 2020-10-22 16:17:44 UTC
SUSE-SU-2020:14521-1: An update that fixes 11 vulnerabilities is now available.

Category: security (important)
Bug References: 1172205,1173378,1173380,1175534,1176343,1176344,1176345,1176346,1176347,1176348,1176350
CVE References: CVE-2020-0543,CVE-2020-14364,CVE-2020-15565,CVE-2020-15567,CVE-2020-25595,CVE-2020-25596,CVE-2020-25597,CVE-2020-25600,CVE-2020-25601,CVE-2020-25603,CVE-2020-25604
JIRA References: 
Sources used:
SUSE Linux Enterprise Server 11-SP4-LTSS (src):    xen-4.4.4_44-61.55.1
SUSE Linux Enterprise Debuginfo 11-SP4 (src):    xen-4.4.4_44-61.55.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 17 Charles Arnold 2021-01-22 20:32:17 UTC
Backported and released to 11-SP4.
Comment 18 Carlos López 2022-09-16 12:23:31 UTC
Done, closing.